import java.awt.event.*;
import java.awt.*;
import java.applet.*;

public class Main extends Applet{

    // applet
    public void init() {
		setLayout(new BorderLayout());
		MainPanel mainPanel = new MainPanel();
		add("Center", mainPanel);
		add("South",new Buttons(mainPanel));
    }

    // independent application
    public static Frame f;
		public static void main(String args[]) {
		f = new Frame("Knuth-Morris-Pratt / Boyer-Moore initialization");

		f.addWindowListener(
		  new WindowAdapter(){
			public void windowClosing(WindowEvent e) {System.exit(0);}}
			);
		f.addKeyListener(
		  new KeyAdapter(){
		    public void keyPress(KeyEvent e) {
				if (e.getKeyCode() == e.VK_C)
					System.exit(0);}}
	        );

		Main main;
		main = new Main();
		main.init();
		main.start();

		f.add("Center", main);
		f.setSize(1024, 300);
		f.show();

	
    }
	

}

